<?php

namespace App\Data\Pagarme\Customer\Parts\Request;

use App\Data\Pagarme\PagarmeData;

final readonly class PhonesData extends PagarmeData
{
    public function __construct(
        public ?PhoneData $mobilePhone = null,
    ) {}

    public function toArray(): array
    {
        return $this->filterFilledRecursive([
            'mobile_phone' => $this->mobilePhone,
        ]);
    }
}
